#ifndef MYX_REDIS_PARSER_P_HPP_
#define MYX_REDIS_PARSER_P_HPP_

#pragma once

#include <myx/redis/reply.hpp>

namespace myx {

namespace redis {

class ParserTaskPrivate
{
	friend class Parser;

	enum { Unknown = -2 };

	ParserTaskPrivate( Reply::Type type ) :
		reply( type ),
		count( Unknown ) {}

	Reply reply;
	int   count;
};

} // namespace redis

} // namespace myx

#endif // MYX_REDIS_PARSER_P_HPP_
